Bug 518702 - /mnt/live on usb neither readonly nor writeable
Summary: /mnt/live on usb neither readonly nor writeable
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-21 18:06 UTC by Mads Kiilerich
Modified: 2010-06-28 14:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:13:32 UTC


Attachments (Terms of Use)

Description Mads Kiilerich 2009-08-21 18:06:07 UTC
Description of problem:

On live USB images created with livecd-creator and livecd-iso-to-disk /mnt/live ends up with some strange behaviour: liveuser can create files and write to them once, but not update them. 

mount | grep /mnt/live
/dev/sdb1 on /mnt/live type vfat (rw)

but
grep /mnt/live /proc/mounts
/dev/sdb1 /mnt/live vfat rw,relatime,fmask=0022,dmask=0000,allow_utime=0022,codepage=cp437,iocharset=ascii 0 0

My specific problem was/is that I wanted a writable vfat system. (I learned the hard way that "mount" doesn't report all current mount options, and also that apparently successful remount can make extra options show up in the output without actually being applied.)

I could understand if liveuser couldn't write at all or if it was fully writable, but I don't see a usecase for the current behaviour.

I don't know where these default values come from. It seems to be the kernels default when mounting a vfat root file system? Could/shout it be fixed in the kernel?

The masks can be overruled in isolinux.cfg by specifying rootflags. livecd-creator _could_ use that workaround, either hardcoding it to something sane or making it configurable.


Version-Release number of selected component (if applicable):

kernel-PAE-2.6.30.5-32.fc11.i686
livecd-tools-024-1.fc11.i586

Comment 1 Jeremy Katz 2009-08-21 19:00:39 UTC
We just run mount -- changing the defaults should really be done in the kernel not by a workaround in livecd-tools (the latter is going to end up breaking some day when the kernel option changes)

Comment 2 Mads Kiilerich 2010-03-05 16:09:13 UTC
The problem seems to be solved with f12 and dracut - but it probably remains here in f11.

Comment 3 Bug Zapper 2010-04-28 09:52:52 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2010-06-28 14:13:32 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.